/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class MsgTypeEnum extends StringEnum
{
    public static final String TEXT_VALUE = "text";//alias=文本
    public static final String POST_VALUE = "post";//alias=富文本
    public static final String IMAGE_VALUE = "image";//alias=图片
    public static final String FILE_VALUE = "file";//alias=文件
    public static final String AUDIO_VALUE = "audio";//alias=语音
    public static final String MEDIA_VALUE = "media";//alias=视频
    public static final String STICKER_VALUE = "sticker";//alias=表情包
    public static final String INTERACTIVE_VALUE = "interactive";//alias=卡片
    public static final String SHARE_CHAT_VALUE = "share_chat";//alias=分享群名片
    public static final String SHARE_USER_VALUE = "share_user";//alias=分享个人名片
    public static final String SYSTEM_VALUE = "system";//alias=系统消息

    public static final MsgTypeEnum text = new MsgTypeEnum("text", TEXT_VALUE);
    public static final MsgTypeEnum post = new MsgTypeEnum("post", POST_VALUE);
    public static final MsgTypeEnum image = new MsgTypeEnum("image", IMAGE_VALUE);
    public static final MsgTypeEnum file = new MsgTypeEnum("file", FILE_VALUE);
    public static final MsgTypeEnum audio = new MsgTypeEnum("audio", AUDIO_VALUE);
    public static final MsgTypeEnum media = new MsgTypeEnum("media", MEDIA_VALUE);
    public static final MsgTypeEnum sticker = new MsgTypeEnum("sticker", STICKER_VALUE);
    public static final MsgTypeEnum interactive = new MsgTypeEnum("interactive", INTERACTIVE_VALUE);
    public static final MsgTypeEnum share_chat = new MsgTypeEnum("share_chat", SHARE_CHAT_VALUE);
    public static final MsgTypeEnum share_user = new MsgTypeEnum("share_user", SHARE_USER_VALUE);
    public static final MsgTypeEnum system = new MsgTypeEnum("system", SYSTEM_VALUE);

    /**
     * construct function
     * @param String msgTypeEnum
     */
    private MsgTypeEnum(String name, String msgTypeEnum)
    {
        super(name, msgTypeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static MsgTypeEnum getEnum(String msgTypeEnum)
    {
        return (MsgTypeEnum)getEnum(MsgTypeEnum.class, msgTypeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(MsgTypeEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(MsgTypeEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(MsgTypeEnum.class);
    }
}